

//
// Your server-starting Desktop Shortcut points to this file.
//


exec("Server_CTF_ALL.cs");


$motd = "Welcome to my CTF Server.";


$server::Hostname		= "My CTF Server";

$server::FragLimit		= 0;

$server::Password		= "";

$server::MaxPlayers		= 10;

$server::TimeLimit		= 30;



// Team colors in order of:
//	PURPLE RED BLUE YELLOW
//
// For example to turn on just the Purple and Blue teams,
// you would set 1010, or for Red and Blue set 0110
//
$MissionCycling::Stage0		= "DM_The_Guardian";
$RocksTDMColors0		= 0101;

$MissionCycling::Stage1		= "DM_City_on_the_Edge";
$RocksTDMColors1		= 0110;

$MissionCycling::Stage2		= "DM_Cold_Titan_Night";
$RocksTDMColors2		= 0101;

$MissionCycling::Stage3		= "DM_Heavens_Peak";
$RocksTDMColors3		= 1010;

$MissionCycling::Stage4		= "";
$RocksTDMColors4		= "";



// Add more map/color pairs if you wish, but don't forget to
// set the LAST pair to empty strings.  The list will get
// randomized if you set RocksRandomMapList in your
// xxxAdmin.cs file to TRUE.
//


// This should ALWAYS start at 0 because of the way the package
// handles map randomization.
//
$server::Mission		= $MissionCycling::Stage0;


function setAllowedItems()
{
	//Vehicles
	exec("defaultVehicles.cs");

	RocksAllowAll(true);		// enable everything

	RocksMissiles(false);		// disable all "guided" weapons

	RocksMines(false);		// disable mines

	RocksDisrupters(false);		// disable Disrupter tanks

//	RocksHeavies(false);		// disable all heavies
//
//	RocksLights(false);		// disable all hercs under-60 tons
//
//	RocksTanks(false);		// disable tanks
}


// This should be the last line in this file.
// Set this to the location of your xxxAdmin.cs file.
// That file holds the Admin configuration settings for this server
//
exec("RocksStuff\\CTFServer\\ExampleCTFAdmin.cs");

